<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://spex.qas.toyota.co.id/" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://spex.qas.toyota.co.id/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://spex.qas.toyota.co.id/">
      <s:element name="CheckConnection">
        <s:complexType />
      </s:element>
      <s:element name="CheckConnectionResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="CheckConnectionResult" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RetrieveDataPrc">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="procName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="refkey" type="tns:ArrayOfString" />
            <s:element minOccurs="0" maxOccurs="1" name="refval" type="tns:ArrayOfString" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfString">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:element name="RetrieveDataPrcResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="RetrieveDataPrcResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RetrieveDataStr">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="sql" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="RetrieveDataStrResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="RetrieveDataStrResult">
              <s:complexType>
                <s:sequence>
                  <s:element ref="s:schema" />
                  <s:any />
                </s:sequence>
              </s:complexType>
            </s:element>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ProcessDataPrc">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="procName" type="s:string" />
            <s:element minOccurs="0" maxOccurs="1" name="refkey" type="tns:ArrayOfString" />
            <s:element minOccurs="0" maxOccurs="1" name="refval" type="tns:ArrayOfString" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ProcessDataPrcResponse">
        <s:complexType />
      </s:element>
      <s:element name="ProcessDataStr">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="sql" type="s:string" />
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ProcessDataStrResponse">
        <s:complexType />
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="CheckConnectionSoapIn">
    <wsdl:part name="parameters" element="tns:CheckConnection" />
  </wsdl:message>
  <wsdl:message name="CheckConnectionSoapOut">
    <wsdl:part name="parameters" element="tns:CheckConnectionResponse" />
  </wsdl:message>
  <wsdl:message name="RetrieveDataPrcSoapIn">
    <wsdl:part name="parameters" element="tns:RetrieveDataPrc" />
  </wsdl:message>
  <wsdl:message name="RetrieveDataPrcSoapOut">
    <wsdl:part name="parameters" element="tns:RetrieveDataPrcResponse" />
  </wsdl:message>
  <wsdl:message name="RetrieveDataStrSoapIn">
    <wsdl:part name="parameters" element="tns:RetrieveDataStr" />
  </wsdl:message>
  <wsdl:message name="RetrieveDataStrSoapOut">
    <wsdl:part name="parameters" element="tns:RetrieveDataStrResponse" />
  </wsdl:message>
  <wsdl:message name="ProcessDataPrcSoapIn">
    <wsdl:part name="parameters" element="tns:ProcessDataPrc" />
  </wsdl:message>
  <wsdl:message name="ProcessDataPrcSoapOut">
    <wsdl:part name="parameters" element="tns:ProcessDataPrcResponse" />
  </wsdl:message>
  <wsdl:message name="ProcessDataStrSoapIn">
    <wsdl:part name="parameters" element="tns:ProcessDataStr" />
  </wsdl:message>
  <wsdl:message name="ProcessDataStrSoapOut">
    <wsdl:part name="parameters" element="tns:ProcessDataStrResponse" />
  </wsdl:message>
  <wsdl:portType name="SpexSoap">
    <wsdl:operation name="CheckConnection">
      <wsdl:input message="tns:CheckConnectionSoapIn" />
      <wsdl:output message="tns:CheckConnectionSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="RetrieveDataPrc">
      <wsdl:input message="tns:RetrieveDataPrcSoapIn" />
      <wsdl:output message="tns:RetrieveDataPrcSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="RetrieveDataStr">
      <wsdl:input message="tns:RetrieveDataStrSoapIn" />
      <wsdl:output message="tns:RetrieveDataStrSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="ProcessDataPrc">
      <wsdl:input message="tns:ProcessDataPrcSoapIn" />
      <wsdl:output message="tns:ProcessDataPrcSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="ProcessDataStr">
      <wsdl:input message="tns:ProcessDataStrSoapIn" />
      <wsdl:output message="tns:ProcessDataStrSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="SpexSoap" type="tns:SpexSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="CheckConnection">
      <soap:operation soapAction="http://spex.qas.toyota.co.id/CheckConnection" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RetrieveDataPrc">
      <soap:operation soapAction="http://spex.qas.toyota.co.id/RetrieveDataPrc" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RetrieveDataStr">
      <soap:operation soapAction="http://spex.qas.toyota.co.id/RetrieveDataStr" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ProcessDataPrc">
      <soap:operation soapAction="http://spex.qas.toyota.co.id/ProcessDataPrc" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ProcessDataStr">
      <soap:operation soapAction="http://spex.qas.toyota.co.id/ProcessDataStr" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="SpexSoap12" type="tns:SpexSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="CheckConnection">
      <soap12:operation soapAction="http://spex.qas.toyota.co.id/CheckConnection" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RetrieveDataPrc">
      <soap12:operation soapAction="http://spex.qas.toyota.co.id/RetrieveDataPrc" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RetrieveDataStr">
      <soap12:operation soapAction="http://spex.qas.toyota.co.id/RetrieveDataStr" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ProcessDataPrc">
      <soap12:operation soapAction="http://spex.qas.toyota.co.id/ProcessDataPrc" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ProcessDataStr">
      <soap12:operation soapAction="http://spex.qas.toyota.co.id/ProcessDataStr" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="Spex">
    <wsdl:port name="SpexSoap" binding="tns:SpexSoap">
      <soap:address location="http://localhost/SpexWs/Spex.asmx" />
    </wsdl:port>
    <wsdl:port name="SpexSoap12" binding="tns:SpexSoap12">
      <soap12:address location="http://localhost/SpexWs/Spex.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>